#pragma once

#include "CoreMinimal.h"
#include "AkAdvancedInitializationSettingsWithMultiCoreRendering.h"
#include "AkMacAdvancedInitializationSettings.generated.h"

USTRUCT(BlueprintType)
struct FAkMacAdvancedInitializationSettings : public FAkAdvancedInitializationSettingsWithMultiCoreRendering
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	uint32 uNumSpatialAudioPointSources;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool bVerboseSystemOutput;

public:
	AKAUDIO_API FAkMacAdvancedInitializationSettings();
};

FORCEINLINE uint32 GetTypeHash(const FAkMacAdvancedInitializationSettings) { return 0; }
